<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Base</title>
  <link href="../CSS/BaseCSS.css" rel="stylesheet">
  <link href="../CSS/ProjectCSS.css" rel="stylesheet">
  <link href="../CSS/Stats.css" rel="stylesheet">
  <link href="../CSS/LoginCSS.css" rel="stylesheet">
  <link href="https://fonts.googleapis.com/css2?family=Urbanist:wght@500&display=swap" rel="stylesheet">
  <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@500&family=Vina+Sans&display=swap" rel="stylesheet">

  <script defer src="../Javascripts/ScrollAnimation.js"></script>

  <link rel="icon" href="../Resources/cleopatra.png" type="image/x-icon">

</head>
<body>
<ul class="nav">
  <a href="Home.html" class="nav"><div class="navtransform"><div class="homenav">Home</div></div></a>
  <a href="Team.html" class="nav"><div class="navtransform">Our Team</div></a>
  <a href="Game.html" class="nav"><div class="navtransform">Game</div></a>
  <a href="Project.html" class="nav"><div class="navtransform">Project</div></a>
  <a href="Stats.html" class="nav"><div class="navtransform">Stats</div></a>
  <a href="Installation.html" class="nav"><div class="navtransform">Download</div></a>
</ul>

<div class="wrapper">
  <div class="space"></div>
  <div class="login-form hidden" id="login">
    <h2>Login</h2>
    <form id="loginForm" class="hidden">
      <label for="username">Username:</label>
      <input type="text" id="username" name="username" required>

      <label for="password">Password:</label>
      <input type="password" id="password" name="password" required>

      <label id="login_success">Invalid username or password</label><br><br>
      <button type="submit">Login</button>
    </form>
  </div>

  <div id="noPerm" class="hidden">
    <h1 >No Permission</h1>
  </div>

  <div class="stats" id="gameStats">


    <form class="form-group hidden" id="myForm">

      <div class="score">
        <label for="game_id">Game ID:</label>
        <input type="number" id="game_id" name="id" ><br>
      </div>

      <div class="score">
        <label for="player_id">Player ID:</label>
        <input type="text" id="player_id" name="name" ><br>
      </div>


      <div class="score">
        <label for="player_score_value">Player Score Value:</label>
        <select id="player_score_value" name="player_score_value">
          <option value="">Select a value</option>
          <option value="greater">Greater than</option>
          <option value="equals">Equals to</option>
          <option value="less">Less than</option>
        </select>

        <label for="player_score">Player Score:</label>
        <input type="number" id="player_score" name="player_score" ><br>
      </div>

      <div class="score">
        <label for="cpu_score_value">CPU Score Value:</label>
        <select id="cpu_score_value" name="cpu_score_value" >
          <option value="">Select a value</option>
          <option value="greater">Greater than</option>
          <option value="equals">Equals to</option>
          <option value="less">Less than</option>
        </select>

        <label for="cpu_score">CPU Score:</label>
        <input type="number" id="cpu_score" name="cpu_score" ><br>
      </div>

      <div class="score">
        <label for="progress">Progress:</label>
        <select id="progress" name="progress" >
          <option value="">Select a value</option>
          <option value="IN-PROGRESS">In Progress</option>
          <option value="WIN">Win</option>
          <option value="LOSS">Loss</option>
          <option value="DRAW">Draw</option>
        </select><br>
      </div>

      <div class="date-container">
        <label for="before_date">Before Date:</label>
        <input  type="date" id="before_date" name="before-date">

        <label for="after_date">After Date:</label>
        <input type="date" id="after_date" name="after-date"><br>
      </div>
      <br>
      <br>
      <button class="submit-button" id="submitButton">Submit</button>
    </form>

    <br>

    <div>
      <table class="stats-table hidden" id="data-table">
        <thead>
        <tr>
          <th>Game ID</th>
          <th>Player ID</th>
          <th>Group</th>
          <th>Bonus</th>
          <th>Player Score</th>
          <th>CPU Score</th>
          <th>Outcome</th>
          <th>Date</th>
          <th>Average Time (s)</th>
        </tr>
        </thead>
        <tbody>
        <!-- Table body will be populated dynamically -->
        </tbody>
      </table>
    </div>

    <div class="space"></div>


    <div class="graph">
      <canvas id="myChart" width="400" height="300"></canvas>
    </div>

  </div>
</div>



<div class="space"></div>
</body>
 <div class="copyright">Caesar & Cleopatra © 2023</div>

<script src="../Javascripts/stats.js" type="module"></script>
<script src="../Javascripts/account.js" type="module"></script>
<script src="https://cdn.jsdelivr.net/npm/chart.js"></script>


<script src="../Javascripts/data/users.js" type="module"></script>
<script src="../Javascripts/data/game.js" type="module"></script>

</html>